
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>漫谈ASP.NET设计中的性能优化问题 / iVAN</title>

    <meta name="description" content="漫谈ASP.NET设计中的性能优化问题 一.SqlDataRead和Dataset的选择 Sqldataread优点:读取数据非常快.如果对返回的数据不需做大量处理的情况下,建议使用SqlDataReader,其性能要比datset好很多.缺点:直到数据读完才可close掉于数据库的连接 (SqlDataReader 读数据是快速向前的.SqlDataReader 类提供了一种读取从 SQL Server 数据库检索的只进数据流的方法.它使用 SQL Server 的本机网络数据传输格式从数据库连接直接读取数据.DataReader需">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">漫谈ASP.NET设计中的性能优化问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一、SqlDataRead和Dataset的选择</p>
<p>Sqldataread优点：读取数据非常快。如果对返回的数据不需做大量处理的情况下，建议使用SqlDataReader，其性能要比datset好很多。缺点：直到数据读完才可close掉于数据库的连接</p>
<p>(SqlDataReader 读数据是快速向前的。SqlDataReader 类提供了一种读取从 SQL Server 数据库检索的只进数据流的方法。它使用 SQL Server 的本机网络数据传输格式从数据库连接直接读取数据。DataReader需及时显式的close。可及时的释放对数据的连接。)</p>
<p>Dataset是把数据读出，缓存在内存中。缺点：对内存的占用较高。如果对返回的数据需做大量的处理用Dataset比较好些可以减少对数据库的连接操作。优点：只需连接一次就可close于数据库的连接</p>
<p>*一般情况下,读取大量数据,对返回数据不做大量处理用SqlDataReader.对返回数据大量处理用datset比较合适.对SqlDataReader和Dataset的选择取决于程序功能的实现。</p>
<p>二、ExecuteNonQuery和ExecuteScalar</p>
<p>对数据的更新不需要返回结果集，建议使用ExecuteNonQuery。由于不返回结果集可省掉网络数据传输。它仅仅返回受影响的行数。如果只需更新数据用ExecuteNonQuery性能的开销比较小。</p>
<p>ExecuteScalar它只返回结果集中第一行的第一列。使用 ExecuteScalar 方法从数据库中检索单个值（例如id号）。与使用 ExecuteReader 方法， 返回的数据执行生成单个值所需的操作相比，此操作需要的代码较少。</p>
<p>*只需更新数据用ExecuteNonQuery.单个值的查询使用ExecuteScalar数据绑定的选择</p>
<p>三、数据的绑定DataBinder</p>
<p>一般的绑定方法&lt;%# DataBinder.Eval(Container.DataItem, "字段名") %&gt;用DataBinder.eval 绑定不必关心数据来源(Dataread或dataset)。不必关心数据的类型eval会把这个数据对象转换为一个字符串。在底层绑定做了很多工作，使用了反射性能。正因为使用方便了，但却影响了数据性能。来看下&lt;%# DataBinder.Eval(Container.DataItem, "字段名") %&gt;。当于dataset绑定时，DataItem其实式一个DataRowView（如果绑定的是一个数据读取器（dataread）它就是一个IdataRecord。）因此直接转换成DataRowView的话，将会给性能带来很大提升。</p>
<p>&lt;%# ctype(Container.DataItem,DataRowView).Row("字段名") %&gt;</p>
<p>*对数据的绑定建议使用&lt;%# ctype(Container.DataItem,DataRowView).Row("字段名") %&gt;。数据量大的时候可提高几百倍的速度。使用时注意2方面：1.需在页面添加&lt;%@ Import namespace="System.Data"%&gt;.2.注意字段名的大小写（要特别注意）。如果和查询的不一致，在某些情况下会导致比&lt;%# DataBinder.Eval(Container.DataItem, "字段名") %&gt;还要慢。如果想进一步提高速度，可采用&lt;%# ctype(Container.DataItem,DataRowView).Row(0) %&gt;的方法。不过其可读性不高。</p>
<p>以上的是vb.net的写法。在c#中：&lt;@% ((DataRowView)Container.DataItem)["字段名"] %&gt;</p>
<p>对查看页面每个执行过程状态最简单的办法：其页面的trace属性为true就可查看细节。</p>
<p>一、使用存储过程：</p>
<p>1、性能方面：存储过程提供了许多标准sql语言中所没有的高级特性。其传递参数和执行逻辑表达式的功能，有助于应用程序设计者处理复杂任务。另外，存储过程存储在本地服务器上，减少了执行该过程所需的网络传输宽带和执行时间。（存储过程已经对sql语句进行了预编译，所以其执行速度比在程序里执行sql语句快很多）</p>
<p>2、程序结构方面：从程序的可扩展性看，使用存储过程会对程序以后的修改带来方便。比如数据库的结构改变了，只需修改相对应的存储结构，和程序中的调用部分即可。这部分不属于本文探讨范围，属于程序结构设计方面。所以不在此展开。</p>
<p>3、程序安全性：使用存储过程可避免SQL Injection攻击。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:59:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8%e8%bf%87%e7%a8%8b/" title="存储过程">存储过程</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd/" title="性能">性能</a>, <a href="https://www.iamivan.net/tag/sqldatareader/" title="sqldatareader">sqldatareader</a>, <a href="https://www.iamivan.net/tag/sql%e5%bf%ab%e7%a8%8b%e5%ba%8f%e6%85%a2/" title="sql快程序慢">sql快程序慢</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f%e5%a4%a7%e9%87%8f%e6%95%b0%e6%8d%ae%e5%ad%98%e5%82%a8%e8%bf%87%e7%a8%8b/" title="程序大量数据存储过程">程序大量数据存储过程</a>, <a href="https://www.iamivan.net/tag/%e5%a4%a7%e9%87%8f%e6%95%b0%e6%8d%ae%e6%89%a7%e8%a1%8c/" title="大量数据执行">大量数据执行</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>漫谈ASP.NET设计中的性能优化问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyXmvb.html" rel="bookmark">技巧：ASP&period;NET设计中的性能优化问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|技巧|设计|问题|性能|优化 一.SqlDataRead和Dataset的选择 Sqldataread优点:读取数据非常快.如果对返回的数据不需做大量处理的情况下,建议使用SqlDataReader,其性能要比datset好很多.缺点:直到数据读完才可close掉于数据库的连接 (SqlDataReader 读数据是快速向前的.SqlDataReader 类提供了一种读取从 SQL Server 数据库检索的只进数据流的方法.它使用 SQL Server 的本机网络数据传输格式从			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zewvwM.html" rel="bookmark">ASP&period;NET设计中的性能优化问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|设计|问题|性能|优化 一.SqlDataRead和Dataset的选择 Sqldataread优点:读取数据非常快.如果对返回的数据不需做大量处理的情况下,建议使用SqlDataReader,其性能要比datset好很多.缺点:直到数据读完才可close掉于数据库的连接 (SqlDataReader 读数据是快速向前的.SqlDataReader 类提供了一种读取从 SQL Server 数据库检索的只进数据流的方法.它使用 SQL Server 的本机网络数据传输格式从数据库			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbERgZM.html" rel="bookmark">ASP&period;NET几种进行性能优化的方法及注意问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|问题|性能|优化 网站的性能对于ASP.NET程序开发人员来说非常重要.一个优秀的网站虽然有美观的页面设计,完善的服务功能,但是打开网页时有长时间的延迟,用户最终将会无法忍受.尤其对于大型的电子商务网站而言,每秒钟有数万用户同时访问,没有良好的网站性能,根本无法满足庞大的需求. ASP.NET作为全新一代的动态网页生成系统,它在平台性能方面与原有的ASP相比已有了一个本质的提高.但要在此基础上开发出专业水准的.符合生产标准的.受用户欢迎的web应用程序,还需要开发人员从编程的角度			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxP6AyM.html" rel="bookmark">Oracle数据库设计开发阶段性能优化策略</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 Oracle是目前使用最为广泛的大型数据库管理系统,提高Oracle数据库系统的运行效率,是整个计算机信息系统高效运转的前提和保证.影响Oracle数据库应用系统性能的因素很多,既有软件方面的因素,也包括数据运行的硬件环境.网络环境.数据库管理和维护方面的因素等.数据库系统设计开发阶段是Oracle应用优化的最佳阶段,也是主动优化阶段,能达到以最小成本获得最大性能增益的目的.通过对其逻辑存储结构和物理存储结构设计进行优化,使之在满足需求条件下,时空开销性能最佳,可以解决数据库系统运行过程中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPZZlb.html" rel="bookmark">asp&period;net小谈网站性能优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当然,网站性能优化是多方面的,这里先谈一下这些天来的所获: 1.书写代码的习惯: 再复杂的逻辑,也是从最简单的开始.在书写代码的过程中,很多不好的规范都会影响网站的性能: 以下是整理出来的些许代码习惯: 1)字符串的比较 用 string.Empty 代替 &quot; &quot; 2)在遍历过程中,先定义好计数变量, 再遍历, 这样会减少每次遍历就分配一次内存空间: 复制代码 代码如下: int i; for( i=0; i&lt;100;i++) { // codeing } 3)同样的,用 Str			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1RrKb.html" rel="bookmark">Android中SparseArray性能优化的使用方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前一篇文章研究完横向二级菜单,发现其中使用了SparseArray去替换HashMap的使用.于是乎自己查了一些相关资料,自己同时对性能进行了一些测试.首先先说一下SparseArray的原理.   SparseArray(稀疏数组).他是Android内部特有的api,标准的jdk是没有这个类的.在Android内部用来替代HashMap&lt;Integer,E&gt;这种形式,使用SparseArray更加节省内存空间的使用,SparseArray也是以key和value对数据进行保存的.使用的时			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrdLNxz.html" rel="bookmark">asp&period;net小谈网站性能优化&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当然,网站性能优化是多方面的,这里先谈一下这些天来的所获: 1.书写代码的习惯: 再复杂的逻辑,也是从最简单的开始.在书写代码的过程中,很多不好的规范都会影响网站的性能: 以下是整理出来的些许代码习惯: 1)字符串的比较 用 string.Empty 代替 &quot; &quot; 2)在遍历过程中,先定义好计数变量, 再遍历, 这样会减少每次遍历就分配一次内存空间: 复制代码 代码如下: int i; for( i=0; i&lt;100;i++) { // codeing } 3)同样的,用 Str			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdl9J3p.html" rel="bookmark">&period;net中C&num;性能优化测试实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天,我想跟大家聊一聊C#的性能优化,当然,这里并不谈基本的原则,这些都假设你已经非常精通了,本文聊的是要争取几个毫秒的程序.关于基本的性能优化,可以参考园子里的文章.比如: .NET 性能优化方法总结 先说说我的测试环境: 一台典型的笔记本电脑,Windows 7中文版,.net Framework用的是4.5版本,VS是现在VS11 beta版.我也是用VS2008这样的环境测试了下面的所有场景,发现没有任何区别,所以就以VS11为基准了. 所有测试数据都是编译为Relase,且不包含PDB			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZw675b.html" rel="bookmark">Wins2003系统中Apache性能优化方法&lowbar;win服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为了满足网站高负荷的要求,在调整Apache参数时发现进程经常占用内存过多导致当机.经过不断的优化和修改参数组合,终于让服务器稳定 下来,可以满足大量访问的考验和应用要求.笔者总结了调试过程中的问题和解决办法如下,以供有类似需求的网管员参考(系统环境为Windows Server 2003和apache2.2.8): 1.http-mpm.conf设置 Apache的线程数控制文件为http-mpm.conf,在conf/exrtra目录下面,要使该配置文件起作用需要在httpd.conf 中将			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmVv1z.html" rel="bookmark" class="title">Ajax跨域问题解决（Ajax JSONP）</a>
					<div>
						因WEB安全原因,Ajax默认情况下是不能进行跨域请求的,遇到这种问题,自然难不倒可以改变世界的程序猿们,于是JSONP(JSON with Padding)被发明了,其就是对JSON的一种特殊,简单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaawwb.html" rel="bookmark" class="title">ADO&period;NET 中的 XML 特性</a>
					<div>
						ado|xml 毫无疑问,XML 及其一些相关技术(包括 XPath.XSL Transformation 和 XML Schema)是 ADO.NET 的基础.与 ADO 相比,ADO.NET 对象 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQwoKp.html" rel="bookmark" class="title">Web设计核心问题3&colon;为用户设计&lpar;5&rpar;</a>
					<div>
						web|设计|问题  3.8 用户的世界 从以自己的观点理解这个世界的意义出发,人确实是他们世界的中心.考虑一下人们理解 Web站点的方式,如图3 - 4所示.用户生活在真实的世界里.他们受到外界环境 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZnnoz.html" rel="bookmark" class="title">php实现多重继承实例</a>
					<div>
						最近一做php开发的朋友问了一个关于php多重继承的问题,两个人说了半天,其实自己也没有搞懂什么是多重继承,今天有空,特意将多重继承这个概念给详细的了解了一下,也来谈谈在php中实现多重继承的一些看法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ1OOp.html" rel="bookmark" class="title">纯Java周历的写法</a>
					<div>
						import java.util.*;import com.unigroup2000.Global;import java.io.*;import javax.servlet.http.*;impor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXre5b.html" rel="bookmark" class="title">oracle资料库函式库</a>
					<div>
						&lt;? class DB_Sql { var $Debug = false; var $Home = &quot;/u01/app/oracle/product/8.0.4&quot;; var  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPoxQM.html" rel="bookmark" class="title">无线路由使用四大误区之安全设置问题</a>
					<div>
						当我们把这些无线产品买回家以后就可以随意使用了吗?答案是否定的,在使用这些无线产品过程中也不是随随便便的,尤其是在无线路由设置的时候.本篇文章笔者将为各位介绍在使用无线产品过程中安全方面应该注意的误区 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLm3kb.html" rel="bookmark" class="title">基于Linux操作系统的校园网计费系统</a>
					<div>
						1.概述 记费管理作为网络管理的五大功能之一,它能检测和控制网络操作的费用.代价,记录网络资源的使用情况,在cernet确定了有偿使用网络资源以及分担国际通信费用的原则后,国际通信费用由各个入网单位非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kOkqz.html" rel="bookmark" class="title">利用WPS演示制作汉字笔顺动画</a>
					<div>
						在汉字教学中,教师经常需要演示汉字笔顺,以帮助学生掌握书写的技巧.教师经常选择的方法是利用Flash动画,然后把Flash插入到PPT中.但是,这种方法非常麻烦,而且要求很高.事实上,充分利用WPS演 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB4ojb.html" rel="bookmark" class="title">交互设计那些事儿（二）</a>
					<div>
						&lt;http://www.3lian.com/edu/2011/10-09/11463.htmlwww.3lian.com/edu/2011/10-09/11463.html&gt;之一完工后,承 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7yrnM.html" rel="bookmark" class="title">将桌面版IE10设为默认浏览器？</a>
					<div>
						在Windows 8中微软为IE10提供了桌面版和Metro两个版本,除了体验上有所差异以外,这个两个版本都是采用IE10引擎的体系结构来强化,所以他们共享历史记录.键入的网址.设置及其他特性. 不过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRQ35p.html" rel="bookmark" class="title">Win 7开机自动登录如何设置</a>
					<div>
						  Win7安装好之后默认是要输入登陆密码的 这里有个简单的方法可以设置win7开机后自动登陆,并且适用于所有windows系统. 单击&quot;开始&quot;按钮,选择&quot;运行&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWeNJp.html" rel="bookmark" class="title">笔记本接电视没有声音怎么办</a>
					<div>
						  笔记本连接电视现在主要用的连接方式有两种,一种是HDMI的高清数字传输,一种是VGA的模拟信号传输,使用HDMI传输的时候只需要一个数据线就可以 完成视频和音频的数据的传输,但是要求笔记本和电视都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo2djb.html" rel="bookmark" class="title">c&sol;s框架-请问在设计数据库时，会因B&sol;S和C&sol;S结构不同而不一样吗？</a>
					<div>
						问题描述 请问在设计数据库时,会因B/S和C/S结构不同而不一样吗? 如题,追问一下,B/C/S结构下呢?设计时有什么要注意的吗,谢谢. 解决方案 采用了MVC框架以后,数据库操作至于数据访问层有关系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQxlqp.html" rel="bookmark" class="title">activiti自定义流程之整合（四）：整合自定义表单部署流程定义</a>
					<div>
						综合前几篇博文内容,我想在整合这一部分中应该会有很多模块会跳过不讲,就如自定义表单的表单列表那一块,因为这些模块在整合的过程中都几乎没有什么改动,再多讲也是重复无用功. 正因为如此,在创建了流程模型之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7ymWp.html" rel="bookmark" class="title">《Spark官方文档》集群模式概览</a>
					<div>
						Spark 1.6.0  译者:dlbrant 集群模式概览 本文简要描述了Spark在集群中各个组件如何运行.想了解如何在集群中启动Spark应用,请参考application submission ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqGxxb.html" rel="bookmark" class="title">listview间歇加载情况下性能的保持问题</a>
					<div>
						问题描述 listview间歇加载情况下性能的保持问题 listview间歇加载情况下性能的保持问题,怎么让窗体间歇加载数据并排序的时候,保持listview不会出现卡顿和闪烁? 解决方案 异步排序, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVX5Eb.html" rel="bookmark" class="title">推荐 14 款基于 JavaScript 的数据可视化工具</a>
					<div>
						俗话说,一图胜千言.图形化的信息可以让人们对数据有更加直观清晰的理解,让信息发布者更加高效地展示自己的核心内容.在前端开发中,如果缺少合适 工具,制作数据可视化图表会十分复杂.然而随着数据可视化概念逐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA94GM.html" rel="bookmark" class="title">Python属性和方法</a>
					<div>
						关键字:Python 属性 方法原文:http://www.cafepy.com/article/python_attributes_and_methods/python_attributes_and ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAKdkM.html" rel="bookmark" class="title">lintcode二叉树的锯齿形层次遍历 （双端队列）</a>
					<div>
						v题目链接: http://www.lintcode.com/zh-cn/problem/binary-tree-zigzag-level-order-traversal/ v二叉树的锯齿形层次遍历  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NlLoM.html" rel="bookmark" class="title">动态ｂａｎｎｅｒ-请教．ｎｅｔ问题&comma;asp&period;net网站banner如果有多幅图怎么实现自动切换？（求代码）</a>
					<div>
						问题描述 请教．net问题,asp.net网站banner如果有多幅图怎么实现自动切换?(求代码) 利用．net,想要在网站实现动态banner轮换,但是自己敲的代码实现不了,所以请求帮助. 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pke5Djb.html" rel="bookmark" class="title">SQL Server数据库的存储过程中定义的临时表，真的有必要显式删除（drop table &num;tableName）吗？</a>
					<div>
						原文:SQL Server数据库的存储过程中定义的临时表,真的有必要显式删除(drop table #tableName)吗?   本文出处:http://www.cnblogs.com/wy123/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKPjnb.html" rel="bookmark" class="title">详谈分类信息站点推广所经历的几个阶段</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 二十一世纪是经济时代,更是互联网时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgXV6b.html" rel="bookmark" class="title">Java技术专题之JVM你的内存泄露了吗？</a>
					<div>
						一.从一个例子开始 关于JVM的内存泄露,让我们从下面一个例子开始吧,大家来判断一下如果按照下面这种分配方式,会不会出现内存泄露呢? import java.util.List; import jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKANvb.html" rel="bookmark" class="title">C&plus;&plus; decltype类型说明符&lowbar;C 语言</a>
					<div>
						1 基本语法 decltype 类型说明符生成指定表达式的类型.在此过程中,编译器分析表达式并得到它的类型,却不实际计算表达式的值. 语法为: decltype( expression ) 编译器使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLA20p.html" rel="bookmark" class="title">新浪微博起步新商业模式</a>
					<div>
						新浪的数据挖掘背后也隐含着新浪的新商机.事实上,今年4月新浪已推出&quot;微博广告产品&quot;.(TechWeb配图) &quot;创业初,资金很紧张.最初一年多,我们连技术人员都没有,网站是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnqY9M.html" rel="bookmark" class="title">Struts class照着别人的程序写的</a>
					<div>
						问题描述 Struts class照着别人的程序写的 不知道哪里错 因为照着别人的复制的 求指教 解决方案 import org.hibernate.Session; import org.hiber ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Rekqz.html" rel="bookmark" class="title">如何在模板中动态插入控件</a>
					<div>
						问题描述 制作网页模板过程中想自定义asp.net控件的标记,在load是自动插入控件.比如:&lt;div&gt;thisisatitle&lt;/div&gt;&lt;div&gt;$contro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12Pq5p.html" rel="bookmark" class="title">elcipse 3&period;5&period;1 安装hibernate tools问题</a>
					<div>
						问题描述 是了好几个版本,放在插件路径下,没反应,在线安装,提示一大堆依赖项找不到,求高人指点. 解决方案 解决方案二:确定你的hibernatetools插件是针对eclipse3.5的吗如果是,还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnVG1M.html" rel="bookmark" class="title">MWC观察：纸都能联网了 下一个联网的设备会是什么？</a>
					<div>
						电脑.手机.汽车.电视.冰箱.洗衣机等等等等,越来越多的电子设备具备了可联网,可智能操作的功能.现在,就连玻璃和纸,都能联网了! 爱立信在2013年的MWC上就展示了玻璃联网,而在http://www ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
